From 824d691923433d1a5c4abb760324c2f7a25986ed Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 23 2021 02:06:06 +0000
Subject: [PATCH 2140/2232] Format PR 689 with clang-format


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index eb855ea..831097d 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -207,13 +207,9 @@ Enum c_return_enum(uint16_t n) {
   }
 }
 
-const C* c_return_const_ptr(size_t c) {
-  return new C(c);
-}
+const C *c_return_const_ptr(size_t c) { return new C(c); }
 
-C* c_return_mut_ptr(size_t c) {
-  return new C(c);
-}
+C *c_return_mut_ptr(size_t c) { return new C(c); }
 
 Borrow::Borrow(const std::string &s) : s(s) {}
 
@@ -516,11 +512,9 @@ void c_take_nested_ns_enum(::A::B::ABEnum e) {
   }
 }
 
-size_t c_take_const_ptr(const C* c) {
-  return c->get();
-}
+size_t c_take_const_ptr(const C *c) { return c->get(); }
 
-size_t c_take_mut_ptr(C* c) {
+size_t c_take_mut_ptr(C *c) {
   size_t result = c->get();
   delete c;
   return result;
